summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Ammerlaan <andrewammerlaan@riseup.net>2019-12-27 15:17:34 +0100
committerJoonas Niilola <juippis@gentoo.org>2020-01-05 12:09:44 +0200
commitb7eca17fb4369d77d7f0c4dc8b7cd7fea5d255e1 (patch)
treefb9a7ffd07d809562ccab83e0403dc86f8e51c32 /dev-python/libsass/libsass-0.19.4.ebuild
parentmedia-gfx/gnofract4d: reformat use flags (diff)
downloadgentoo-b7eca17fb4369d77d7f0c4dc8b7cd7fea5d255e1.tar.gz
gentoo-b7eca17fb4369d77d7f0c4dc8b7cd7fea5d255e1.tar.bz2
gentoo-b7eca17fb4369d77d7f0c4dc8b7cd7fea5d255e1.zip
dev-python/libsass: A straightforward binding of libsass for Python
Dependency of qtsass Signed-off-by: Andrew Ammerlaan <andrewammerlaan@riseup.net> Package-Manager: Portage-2.3.84, Repoman-2.3.20 Closes: https://github.com/gentoo/gentoo/pull/14047 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'dev-python/libsass/libsass-0.19.4.ebuild')
-rw-r--r--dev-python/libsass/libsass-0.19.4.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/dev-python/libsass/libsass-0.19.4.ebuild b/dev-python/libsass/libsass-0.19.4.ebuild
new file mode 100644
index 00000000000..922bea5d536
--- /dev/null
+++ b/dev-python/libsass/libsass-0.19.4.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A straightforward binding of libsass for Python"
+HOMEPAGE="https://github.com/sass/libsass-python"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="dev-libs/libsass
+ dev-python/six[${PYTHON_USEDEP}]
+ test? ( dev-python/PyQt5[testlib,${PYTHON_USEDEP}] )"
+
+# Remove sassc, in favour of pysassc, see: https://github.com/sass/libsass-python/issues/134
+# This avoids a file collision with dev-lang/sassc
+PATCHES=( "${FILESDIR}"/${P}_rename_sassc.patch )
+
+python_test() {
+ "${EPYTHON}" sasstests.py || die "Tests fail with ${EPYTHON}"
+}